Page MenuHomePhabricator

links.email.donate.wikimedia.org should offer HTTPS
Closed, ResolvedPublic

Description

Found on https://github.com/EFForg/https-everywhere/issues/686

timmc said:

Wikimedia [Foundation] sent me an email asking me to donate like I did last year:
http://links.email.donate.wikimedia.org/ctt?kn=X&ms=XXXXXXXXXXXXX&r=XXXXXXXXXXXXXXXXX&b=X&j=XXXXXXXXXXXXX&mt=X&rt=X

Reedy said:

"This server could not prove that it is links.email.donate.wikimedia.org; its security certificate is from *.links.mkt41.net. This may be caused by a misconfiguration or an attacker intercepting your connection."

Italian donor said:

Il link riporta a questo sito: http://links.wikimedia.mkt4477.com/ctt?...............


Version: wmf-deployment
Severity: major
URL: https://links.email.donate.wikimedia.org/
See Also:
https://github.com/EFForg/https-everywhere/issues/686
https://bugzilla.wikimedia.org/show_bug.cgi?id=58373

Details

Reference
bz72514

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:50 AM
bzimport added projects: HTTPS, acl*sre-team.
bzimport set Reference to bz72514.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Oct 25 2014, 4:40 PM
Dzahn added a subscriber: Dzahn.Dec 22 2014, 3:22 PM

since this is about donate.wikimedia.org it should actually have Fundraising tags/projects. trying to add those.

Dzahn set Security to None.
Dzahn removed a project: acl*sre-team.
Dzahn removed a subscriber: Dzahn.

We are aware of this issue and unfortunately don't have a good solution at this time. It is a result of the program we use to send our appeal emails, however once the handoff happens between our email client and our donation page, the donor is taken to an https page. No data is requested from the donor on an http page, and the only page they actually see is https. Here's what I ultimately see when I click on a link from our emails:

https://donate.wikimedia.org/wiki/Sep2014enUS_noquote?utm_campaign=C14_Email2&utm_medium=email&utm_source=sp47725973&hpc=

We have a prepared response for donors who contact us about this problem and an easy solution: simply visit donate.wikimedia.org directly or click on the sidebar link on Wikipedia, and they can get around this http to https handoff. We'll continue to look for a better solution.

CCogdill_WMF closed this task as Declined.Jan 9 2015, 9:00 PM
CCogdill_WMF claimed this task.

So the WMF is ready to never get a green check in the "encrypt the web" EFF report? https://www.eff.org/encrypt-the-web-report

I guess T114010 is now the blocker, when it's resolved this bug can be fixed.

CCogdill_WMF changed the task status from Declined to Resolved.Feb 18 2016, 6:52 PM

Reopening (and resolving) this task to say Fundraising Tech has successfully set up email click tracking through donate.wiki (see T114010). We had our first round of emails go out this morning with our ESP's click tracking turned off after comparing data between the two click tracking systems over the last week.

There is an email program in Sweden which will remain active for another ~2 weeks and will still have IBM's click tracking turned on. Once that program is phased out, there will be no more instances of the mkt4477.com domain in our emails.

Reopening (and resolving) this task to say Fundraising Tech has successfully set up email click tracking through donate.wiki (see T114010). We had our first round of emails go out this morning with our ESP's click tracking turned off after comparing data between the two click tracking systems over the last week.

Thanks. Can you tell us how the new URLs in emails look like, so that we know how to answer next time people ask about suspect phishing? Thanks.

So is links.email.donate.wikimedia.org still in use? If not, can we remove it from the DNS record?

It will be in use for another couple of weeks, until the Swedish banners
come down. We have an active automated email program tied to the banners,
and if we pause it while active we will cause the program to fail for
donors currently enrolled. I can update this task once all the Swedish
emails are out.

Le lundi 22 février 2016, Chmarkine <no-reply@phabricator.wikimedia.org> a
écrit :

Chmarkine added a comment.

So is `links.email.donate.wikimedia.org` still in use? If not, can we

remove it from the DNS record?
TASK DETAIL

https://phabricator.wikimedia.org/T74514

EMAIL PREFERENCES

https://phabricator.wikimedia.org/settings/panel/emailpreferences/

To: CCogdill_WMF, Chmarkine
Cc: Nemo_bis, CCogdill_WMF, wikibugs-l-list, Chmarkine, Dinoguy1000,
Seb35, Krenair

Thanks, that's easy to remember and I'm confident we'll get few questions about it. :)

Restricted Application added a project: Traffic. · View Herald TranscriptFeb 24 2016, 5:49 PM
Dzahn added a subscriber: Dzahn.Mar 18 2016, 8:52 PM

https://links.email.donate.wikimedia.org/

links.email.donate.wikimedia.org uses an invalid security certificate. The certificate is only valid for the following names: *.links.mkt41.net, links.mkt41.net

this still linked to from https://wikitech.wikimedia.org/wiki/Httpsless_domains and there is a cert error

Restricted Application added a project: Operations. · View Herald TranscriptMar 18 2016, 8:52 PM
Dzahn added a comment.Mar 18 2016, 8:53 PM

It will be in use for another couple of weeks, until the Swedish banners
come down.

let me create a subtask to remove this from DNS so we don't forget this

Apologies @Dzahn, you're totally right. We don't use the
links.email.donate.wikimedia.org domain anymore. I was remembering old
times.

So yes, I think we can remove the DNS record for that domain. We should
keep the mtk41 domain record active for another 2 weeks.

Closing the loop on this, finally! We no longer need to support Silverpop's
domains (mtk41 or mkt4477.com, I believe are the only main domains?) for
click tracking.